Subject: bug#9296: 24.0.50; next-line/prev-line on lines with images

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 14 Aug 2011 23:12:08 +0200

Eli Zaretskii <[email-masked]> writes:

> I can't reproduce this.  For me, `down' goes to the image in the line
> below.  So we are at an impasse.  If you can tell me how to reproduce
> this, perhaps by modifying the font or whatever, I can debug this;
> otherwise, I cannot.

Could it possibly be an X vs Windows thing?  I'm testing with "emacs -Q"
under Linux.  And the following form reliably says "55" for me with
"emacs -Q" under Linux.

(url-retrieve
 "http://quimby.gnus.org/circus/jukebox.php?image=thumbnail.png&group=Various&album=Bossa%20Nova%20and%20the%20Rise%20of%20Brazilian%20Music%20in%20the%201960s%20%281%29"
 (lambda (status)
   (goto-char (point-min))
   (search-forward "\n\n")
   (let ((data (buffer-substring (point) (point-max))))
     (pop-to-buffer "*image*")
     (setq truncate-lines t)
     (let ((image (create-image data 'png t)))
       (dotimes (i 2)
	 (insert-image image)
	 (insert " Bossa Nova and the Rise of Brazilian Music in the 1960s (1) -> Various/Bossa Nova and the Rise of Brazilian Music in the 1960s (1)\n"))
       (goto-char (point-min))
       (next-line 1)
       (message "%s" (current-column))))))
       
-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/